
User Interface - Bug #2950

Wrong behavior of editing browse on row click in web version

01/08/2016 12:44 PM - Stanislav Lomany

Status: Closed Start date: 01/08/2016

Priority: Normal Due date:  

Assignee: Stanislav Lomany % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #2564: implement GUI BROWSE widget Closed

History

#1 - 01/08/2016 01:16 PM - Stanislav Lomany

- Parent task set to #2564

Browse has locked column set and scrollable column set. It looks like z-ordering in web version is wrong and scrollable column set receives clicks

underneath the locked column set instead of it.

Web version works in Firefox for me, but fails to start in Chrome:

Uncaught TypeError: Cannot set property style of #<HTMLElement> which has only a getter

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Uncaught TypeError: Cannot set property 'resizeable' of null

Cannot draw non-existent window with id 1

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Restacking list must have the same number of elements as the z-order list!

Cannot change visibility for non-existent window with id 1

Cannot draw non-existent window with id 1

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Cannot draw non-existent window with id 1

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Cannot draw non-existent window with id 1

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Cannot draw non-existent window with id 1

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Cannot draw non-existent window with id 1

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Cannot draw non-existent window with id 1

Uncaught TypeError: Cannot read property 'enableOsEvents' of null

Cannot draw non-existent window with id 1

Maybe someone has some ideas?
#2 - 01/08/2016 01:21 PM - Sergey Ivanovskiy

Stanislav Lomany wrote:

Browse has locked column set and scrollable column set. It looks like z-ordering in web version is wrong and scrollable column set receives

clicks underneath the locked column set instead of it.

Web version works in Firefox for me, but fails to start in Chrome:

[...]

Maybe someone has some ideas?

 

This is fixed in 1811t rev 10971 (but initial commit rev 10963) where the Chrome support (2929) should be implemented but this task has not been

finished yet.

#3 - 01/08/2016 01:53 PM - Sergey Ivanovskiy

Stanislav Lomany wrote:

Browse has locked column set and scrollable column set. It looks like z-ordering in web version is wrong and scrollable column set receives

clicks underneath the locked column set instead of it.

 

Widgets z-order is tested quite well, I mean GuiWebDriver.registerMouseWidgets(). What are general steps to investigate such problems like the

widgets z-order, for example the web editor?

1) Log all registered widgets regions with its widgets class and its id from websock.processMouseWidgets

2) Log widgets z-order on JS client with its ids

3) Investigate the actual widgets regions and their z-orders

4) Determine to which region the target mouse event is delivered or not.

#4 - 01/10/2016 03:37 PM - Stanislav Lomany

- Status changed from WIP to Review

Sergey, thank you for the advice!

Turned out that MouseEvent.MOUSE_CLICKED should go in conjunction with MouseEvent.MOUSE_PRESSED in <widget>.mouseActions() for web

version to work properly. I'll include the fix (updated mouseActions() function) in my next update for browse functionality.

#5 - 01/11/2016 03:48 PM - Greg Shah

- % Done changed from 0 to 100
- Status changed from Review to Closed

- Target version set to Milestone 12

#6 - 01/25/2016 09:19 AM - Greg Shah

- Parent task deleted (#2564)

#7 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Powered by TCPDF (www.tcpdf.org)

05/06/2024 3/3

http://www.tcpdf.org

